SDK version ifdef

Hi!

I have a simple question about how to get if I have "old" SDK or "new" SDK.
I'm using version 4.1.6.0 and trying to upgrade to 4.1.12.2.
And I have old source code, which is comitted to SVN and it doesn't compile if I replace SDK.
I want to add some ifdef and make it compile with same source on any SDK version.
I checked SDK headers and found nothing useful. Is there something to detect SDK version via ifdef?

Comments

  • Hi @User228.

    No, I am afraid that there is no publicly available version define that you can check.
  • Hi @User228.

    Starting with 4.1.14.0, which will become available later this month, you can use the defines from Photon-cpp/inc/Version.h in your #ifdefs
Sign In or Register to comment.